Subject: Re: linux-next: manual merge of the m68knommu tree with the m68k tree

From: Geert Uytterhoeven <[email-masked]>
Date: Fri, 27 Nov 2009 22:21:12 +0100

On Fri, Nov 27, 2009 at 12:23, Greg Ungerer <[email-masked]> wrote:
> On 11/27/2009 06:43 PM, Geert Uytterhoeven wrote:
>> On Fri, Nov 27, 2009 at 05:43, Greg Ungerer<[email-masked]>  wrote:
>>> Geert Uytterhoeven wrote:
>>>> On Thu, Nov 26, 2009 at 01:58, Stephen Rothwell<[email-masked]>
>>>> wrote:
>>>>>
>>>>> Today's linux-next merge of the m68knommu tree got a conflict in
>>>>> arch/m68k/include/asm/ptrace.h between commit
>>>>> 63c361b65f6540043c4baabf1a044a45c7465858 ("m68k: use generic code for
>>>>> ptrace requests") from the m68k tree and commit
>>>>> 03a03164e8084b810e9f92906a51232d63bac72c ("m68knommu: define
>>>>> arch_has_single_step() and friends") from the m68knommu tree.
>>>>>
>>>>> These mostly add the same stuff but not quite :-(
>>>>
>>>> Ah sorry, my bad. I'm not yet used to the uClinux guys touching "my"
>>>> includes ;-)
>>>> So we need better coordination between us.
>>>>
>>>> IIRC, Greg's changes were inspired by Andreas' patch.
>>>
>>> Yes, largely they are.
>>>
>>>
>>>>> I have done a fixup (see below) and can carry it as necessary.  Please
>>>>> check the result.
>>>>
>>>> At first sight, it looks OK. Thanks for fixing it up!
>>>
>>> Yep, looks ok from what I can see.
>>>
>>> Geert, how do you want to handle for the real linus merge?
>>> Do you want me to drop the changes to ptrace.h from that patch?
>>
>> I can apply your patch (modified to apply on top of Andreas') to the
>> m68k for-linus branch.
>> Does that sound OK for you?
>
> Yep, thats fine by me.

Done.

I also added the #ifdef CONFIG_MMU to Andreas' commit, so it will stay
bisectable on m68knommu.

Gr{oetje,eeting}s,

						Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
							    -- Linus Torvalds